%define upstream_name    YAML-Perl
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Base Class of all YAML Components
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/YAML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Error)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Filter::Util::Call)
BuildArch: noarch

%description
PyYAML is the most robust and correct YAML module for a dynamic language.
It is (obviously) written in/for Python. This module is a complete port of
PyYAML to Perl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 16 2011 jquelin <jquelin> 0.20.0-1.mga1
+ Revision: 52267
- imported package perl-YAML-Perl


* Wed Feb 16 2011 cpan2dist 0.02-1mga
- initial mageia release, generated with cpan2dist
